Subject: bug#78658: 30.1; [PATCH] Dired feature suggestion: dired-on-marked-files-in-all-buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 01 Jun 2025 09:58:47 +0300

> A user in the matrix.org Emacs chat room was asking why they couldn't
> open multiple directories in multiple dired buffers, mark various files
> in each of those buffers, and then perform some action on ALL of those
> marked files at once.
>
> My first thought was that this would be chaotic due to the possibility
> of dired buffers with marked files which the user wasn't aware of at
> the time; but then I remembered that you can pass `dired' a file list
> in order to create a new dired buffer with only those files, and I
> thought *that* sounded like a nice feature which addressed the
> requirement in a safe manner (as the user then gets to review the file
> list in the new dired buffer before acting on them).
>
> I've attached a patch with a first pass implementation.
>
> Thoughts?

Ideally, it could find the common prefix, then set
default-directory to it and list only relative file names,
like in the output of e.g. 'find-dired-with-command'.

But it already is very useful, and much better
than the output of 'M-x locate'.